@echo off

REM First ensure the command runs with enough rights

:ADMIN

REM If enough rights, check the machine architecture

if /I "%PROCESSOR_ARCHITECTURE%"=="AMD64" goto AMD64

REM If here, we are running a 32-bit version of cmd; but still may be on a 64-bit machine

if /I "%PROCESSOR_ARCHITEW6432%"=="AMD64" goto AMD64

:X86
REM  选择静默卸载，但不能卸载程序包，因为通用的微软驱动  不使用 /D   /S静默安装也不用给用户选择
dpinst-x86.exe /u KFDP_VCP.inf 
dpinst-x86.exe /u KFDP_WinUSB.inf
goto END

:AMD64
dpinst-amd64.exe /u KFDP_VCP.inf
dpinst-amd64.exe /u KFDP_WinUSB.inf
goto END

:END
